error apt-get update

2 risposte [Ultimo contenuto]
Ritratto di sbisitaly
sbisitaly
(Geek)
Offline
Geek
Iscritto: 16/05/2005
Messaggi: 81

Ciao a tutti, ho aggiornato il mio surce.list ed ho dato - apt-get update - ma alla fine mi da questo msg:

Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Dynamic MMap ran out of room
E: Error occured while processing wget (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

sono andato a dare un'occhiata in /var/lib/dpkg/status ed ho notato che ci sono i vari package installati ma per molti ci sono dei conflitti, e per wget c'è:

Package: wget
Status: install ok installed
Priority: optional
Section: web
Installed-Size: 1460
Maintainer: Noèl Köthe <noel@debian.org>
Version: 1.9.1-11
Depends: libc6 (>= 2.3.2.ds1-21), libssl0.9.7
Conflicts: wget-ssl
Conffiles:
/etc/wgetrc 3b772308b2b8a53a9eec78fff49c90ef
Description: retrieves files from the web ...

E' questo il problema dell'errore di apt-get update, e come posso risolverlo?

Grazie_Sbis

Ritratto di bankomat
bankomat
(Geek)
Offline
Geek
Iscritto: 29/09/2004
Messaggi: 76

E' un problema comune quando si hanno molti repository nel sources.list.
Prova a modificare /etc/apt/apt.conf aggiungendo la riga:
APT::Cache-Limit 12582912;

Se il file non esiste, crealo

Ritratto di sbisitaly
sbisitaly
(Geek)
Offline
Geek
Iscritto: 16/05/2005
Messaggi: 81

ok risolto
grazie